## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# GuardCachedObject< XalanObjectCacheType > Class Template Reference

List of all members.

## Public Types

- typedef XalanObjectCacheType::CacheObjectType CacheObjectType

## Public Member Functions

- GuardCachedObject (XalanObjectCacheType &theCache)
- ~GuardCachedObject ()
- CacheObjectType * get () const
- CacheObjectType * release ()

### template<class XalanObjectCacheType>
class GuardCachedObject< XalanObjectCacheType >

## Member Typedef Documentation

template<class XalanObjectCacheType>
typedef XalanObjectCacheType::CacheObjectType GuardCachedObject< XalanObjectCacheType >::CacheObjectType

## Constructor & Destructor Documentation

template<class XalanObjectCacheType>
GuardCachedObject< XalanObjectCacheType >::GuardCachedObject | ( | XalanObjectCacheType & | theCache | ) |

template<class XalanObjectCacheType>
GuardCachedObject< XalanObjectCacheType >::~GuardCachedObject | ( |  | ) |

## Member Function Documentation

template<class XalanObjectCacheType>
CacheObjectType* GuardCachedObject< XalanObjectCacheType >::get | ( |  | ) | const

template<class XalanObjectCacheType>
CacheObjectType* GuardCachedObject< XalanObjectCacheType >::release | ( |  | ) |

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.